import request from '@/utils/request'

// 查询组织开会讨论记录列表
export function listResult(query) {
  return request({
    url: '/system/result/list',
    method: 'get',
    params: query
  })
}

// 查询组织开会讨论记录详细
export function getResult(id) {
  return request({
    url: '/system/result/' + id,
    method: 'get'
  })
}

// 新增组织开会讨论记录
export function addResult(data) {
  return request({
    url: '/system/result',
    method: 'post',
    data: data
  })
}

// 修改组织开会讨论记录
export function updateResult(data) {
  return request({
    url: '/system/result',
    method: 'put',
    data: data
  })
}

// 删除组织开会讨论记录
export function delResult(id) {
  return request({
    url: '/system/result/' + id,
    method: 'delete'
  })
}
